const path = require("path");

module.exports = ({ config, mode }) => {
	config.module.rules.push(
		{
			test: /\.scss$/,
			loaders: ["style-loader", "css-loader?modules", "sass-loader"],
			include: path.resolve(__dirname, "../src")
		},
		{
			test: /\.svg$/,
			use: [
				{
					loader: "svg-url-loader",
					options: {
						// Inline files smaller than 10 kB
						limit: 10 * 1024,
						noquotes: true
					}
				}
			]
		},
		{
			test: /\.(eot|otf|ttf|woff|woff2)$/,
			use: "file-loader"
		},
		{
			test: /\.stories\.jsx?$/,
			loaders: [require.resolve("@storybook/addon-storysource/loader")],
			enforce: "pre"
		}
	);
	return config;
};
