const path = require("path");
const HtmlWebpackPlugin = require("html-webpack-plugin");
const htmlWebpackPlugin = new HtmlWebpackPlugin({
	template: path.join(__dirname, "index.html"),
	filename: "./index.html"
});
module.exports = {
	entry: path.join(__dirname, "index.js"),
	module: {
		rules: [
			{
				test: /\.(js|jsx)$/,
				use: "babel-loader",
				exclude: /node_modules/
			},
			{
				test: /\.css$/,
				use: ["style-loader", "css-loader"]
			}
		]
	},
	plugins: [htmlWebpackPlugin],
	resolve: {
		extensions: [".js", ".jsx"],
		alias: {
			"fe-comp": path.resolve("./dist")
		}
	},
	devServer: {
		port: 3001
	}
};
